  /* 
   * Autor:             Alexander Gossen
   * Modul:             Masterarbeit
   * Projekt:           Wetterstation
   * Bemerkung:         Hauptprogramm des Projektes Wetterstation
   * Letzte Änderung:   01.11.21
  */

#include <DHT.h>                            // 'DHT'-Bibliothek einbinden (muss heruntergeladen werden)
#include <SoftwareSerial.h>                 // 'SoftwareSerial'-Bibliothek einbinden (muss heruntergeladen werden)     
#include "Wetterstation_Setup_Variablen.h"  // Eigene Headerdatei 'Wetterstation_Setup_Variablen.h' einbinden

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////// AB HIER KANN DER CODE VERÄNDERT WERDEN ///////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void loop() {
    
 delay(2000);                                            // Das Programm für 2 Sekunden anhalten damit die Sensoren mehr Zeit haben Messwerte zu erfassen
    
 // DHT 11
 int temperatur_DHT_11 = dht.readTemperature();          // Die Temperatur auslesen und unter der Variablen 'Temperatur' speichern
 int luftfeuchtigkeit = dht.readHumidity();              // Die Luftfeuchtigkeit auslesen und unter der Varibalen 'Luftfeuchtigkeit' speichern 
    
 Serial.print((int)temperatur_DHT_11);                   // Die Temperatur ausgeben
 Serial.print(",");                                      // Das Komma dient zur Aufteilung der unterschiedlichen Kurven im seriellen Monitor
                   
 Serial.print((int)luftfeuchtigkeit);                    // Die Luftfeuchtigkeit ausgeben          
 Serial.print(",");
  
 // Gassensor
 sensorWert_Gas = analogRead(gas_Pin);                   // Der Spannungswert des Gassensors wird in der Variable 'sensorWert_Gas' gespeichert 
 sensorWert_Gas = map(sensorWert_Gas, 0, 1023, 0, 100);  // Die Werte des Gassensors werden in den Zahlenbereich von 0 bis 100 umgewandelt
 Serial.print(sensorWert_Gas);                           // Gassensorwert wird im seriellen Monitor ausgegeben
 Serial.print(",");
  
 // LDR
 sensorWert_LDR = analogRead(LDR);                       // Den Spannungswert an dem Fotowiderstand auslesen und unter der Variable „sensorWert_LDR“ abspeichern.
 sensorWert_LDR = map(sensorWert_LDR, 0, 1023, 0, 100);  // Die Werte des Fotowiderstands auf den Zahlenbereich 0 bis 100 umgewandelt                         
 Serial.println(sensorWert_LDR);                         // Ausgabe des Helligkeitswertes am seriellen Monitor

 // Weitere Sensoren                                     // Hier können weitere Sensoren programmiert werden
 
// Serial.print("Sensor");
  
// Bluetooth
// HM10.print("Temperatur DHT 11: ");
// bluetooth.print(temperatur_DHT_11);
// bluetooth.print(",");
// HM10.println(" Grad Celsius");
// HM10.print("Luftfeuchtigkeit: ");
// bluetooth.print(luftfeuchtigkeit);
// bluetooth.print(",");
// HM10.println(" %");
// HM10.print("Helligkeit: ");
// bluetooth.println(sensorWert_LDR);
// bluetooth.print(",");
// HM10.print("Luftqualitaet: "); 
// bluetooth.println(sensorWert_Gas);
// bluetooth.print(";");
// HM10.println("");
  
}
