/* 
 * Autor:             Alexander Gossen
 * Modul:             Masterarbeit
 * Projekt:           Wetterstation
 * Bemerkung:         Ergänzung zum Projekt Wetterstation mit der Setup-Funktion und den Variablen.
 * Letzte Änderung:   01.11.21
*/

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////// HIER NICHTS ÄNDERN ///////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define DHTPIN 5                                       // Temperatur- und Luftfeuchtigkeitssensor wird an Pin 5 angeschlossen    
#define DHTTYPE DHT11                                  // Es handelt sich um den DHT11 Sensor (es gibt auch einen DHT22 Sensor)
DHT dht(DHTPIN, DHTTYPE);                              // Der Sensor wird ab jetzt mit „dth“ angesprochen und ihm werden die obigen Daten übergeben

SoftwareSerial bluetooth (1, 0);                       // RX = 1, TX = 0

int gas_Pin = A0;                                      // Der Variablen 'gas_Pin' wird der analoge Eingang A1 zugewiesen
int sensorWert_Gas = 0;                                // Die Variable 'sensorWert_Gas' speichert den Messwert des Gassensors

int LDR = A1;                                           // Der Variablen 'LDR' wird der analoge Eingang A0 zugewiesen
int sensorWert_LDR = 0;                                 // Die variable 'sensorWert_LDR' speichert die Messwerte des Fotowiderstands

void setup() {
  
  Serial.begin(9600);                                   // Serielle Verbindung starten
  bluetooth.begin(9600);                                // Bluetooh-Verbindung starten mit dem Objekt 'bluetooth'
  
  dht.begin();                                          // DHT11 Sensor starten
  
  pinMode(gas_Pin, INPUT);                              // Der Gassensor wird als Eingang definiert
  
  // Serial.println("Temperatur [C]:, Feuchtigkeit [%]:, Luftqualität:, Helligkeit:");  // Legende für den seriellen Plotter
  
}
